IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network178.7.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
- Network address
178.7.0.0- Broadcast address
178.7.31.255- First usable
178.7.0.1- Last usable
178.7.31.254- Usable hosts
- 8,190 (8,192 less the network and broadcast addresses)
- Subnet mask
255.255.224.0- Wildcard mask
0.0.31.255(Cisco ACLs, OSPF)- Prefix length
- /19
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
B2070000· Integer2986803200to2986811391 - Reverse DNS zones
0.7.178.in-addr.arpa1.7.178.in-addr.arpa2.7.178.in-addr.arpa3.7.178.in-addr.arpa4.7.178.in-addr.arpa5.7.178.in-addr.arpa6.7.178.in-addr.arpa7.7.178.in-addr.arpa8.7.178.in-addr.arpa9.7.178.in-addr.arpa10.7.178.in-addr.arpa11.7.178.in-addr.arpa12.7.178.in-addr.arpa13.7.178.in-addr.arpa14.7.178.in-addr.arpa15.7.178.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10110010.00000111.00000000.00000000 | 178.7.0.0 |
| Subnet mask | 11111111.11111111.11100000.00000000 | 255.255.224.0 |
| Network | 10110010.00000111.00000000.00000000 | 178.7.0.0 |
| Broadcast | 10110010.00000111.00011111.11111111 | 178.7.31.255 |
Split into smaller subnets
/20 (2)/21 (4)/22 (8)/23 (16)/24 (32)/25 (64)/26 (128)/27 (256)/28 (512)/29 (1,024)/30 (2,048)/31 (4,096)
178.7.0.0/19 makes 4,096 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 178.7.0.0/31 | 178.7.0.0 to 178.7.0.1 | — | 2 |
| 2 | 178.7.0.2/31 | 178.7.0.2 to 178.7.0.3 | — | 2 |
| 3 | 178.7.0.4/31 | 178.7.0.4 to 178.7.0.5 | — | 2 |
| 4 | 178.7.0.6/31 | 178.7.0.6 to 178.7.0.7 | — | 2 |
| 5 | 178.7.0.8/31 | 178.7.0.8 to 178.7.0.9 | — | 2 |
| 6 | 178.7.0.10/31 | 178.7.0.10 to 178.7.0.11 | — | 2 |
| 7 | 178.7.0.12/31 | 178.7.0.12 to 178.7.0.13 | — | 2 |
| 8 | 178.7.0.14/31 | 178.7.0.14 to 178.7.0.15 | — | 2 |
| 9 | 178.7.0.16/31 | 178.7.0.16 to 178.7.0.17 | — | 2 |
| 10 | 178.7.0.18/31 | 178.7.0.18 to 178.7.0.19 | — | 2 |
| 11 | 178.7.0.20/31 | 178.7.0.20 to 178.7.0.21 | — | 2 |
| 12 | 178.7.0.22/31 | 178.7.0.22 to 178.7.0.23 | — | 2 |
| 13 | 178.7.0.24/31 | 178.7.0.24 to 178.7.0.25 | — | 2 |
| 14 | 178.7.0.26/31 | 178.7.0.26 to 178.7.0.27 | — | 2 |
| 15 | 178.7.0.28/31 | 178.7.0.28 to 178.7.0.29 | — | 2 |
| 16 | 178.7.0.30/31 | 178.7.0.30 to 178.7.0.31 | — | 2 |
| 17 | 178.7.0.32/31 | 178.7.0.32 to 178.7.0.33 | — | 2 |
| 18 | 178.7.0.34/31 | 178.7.0.34 to 178.7.0.35 | — | 2 |
| 19 | 178.7.0.36/31 | 178.7.0.36 to 178.7.0.37 | — | 2 |
| 20 | 178.7.0.38/31 | 178.7.0.38 to 178.7.0.39 | — | 2 |
| 21 | 178.7.0.40/31 | 178.7.0.40 to 178.7.0.41 | — | 2 |
| 22 | 178.7.0.42/31 | 178.7.0.42 to 178.7.0.43 | — | 2 |
| 23 | 178.7.0.44/31 | 178.7.0.44 to 178.7.0.45 | — | 2 |
| 24 | 178.7.0.46/31 | 178.7.0.46 to 178.7.0.47 | — | 2 |
| 25 | 178.7.0.48/31 | 178.7.0.48 to 178.7.0.49 | — | 2 |
| 26 | 178.7.0.50/31 | 178.7.0.50 to 178.7.0.51 | — | 2 |
| 27 | 178.7.0.52/31 | 178.7.0.52 to 178.7.0.53 | — | 2 |
| 28 | 178.7.0.54/31 | 178.7.0.54 to 178.7.0.55 | — | 2 |
| 29 | 178.7.0.56/31 | 178.7.0.56 to 178.7.0.57 | — | 2 |
| 30 | 178.7.0.58/31 | 178.7.0.58 to 178.7.0.59 | — | 2 |
| 31 | 178.7.0.60/31 | 178.7.0.60 to 178.7.0.61 | — | 2 |
| 32 | 178.7.0.62/31 | 178.7.0.62 to 178.7.0.63 | — | 2 |
| 33 | 178.7.0.64/31 | 178.7.0.64 to 178.7.0.65 | — | 2 |
| 34 | 178.7.0.66/31 | 178.7.0.66 to 178.7.0.67 | — | 2 |
| 35 | 178.7.0.68/31 | 178.7.0.68 to 178.7.0.69 | — | 2 |
| 36 | 178.7.0.70/31 | 178.7.0.70 to 178.7.0.71 | — | 2 |
| 37 | 178.7.0.72/31 | 178.7.0.72 to 178.7.0.73 | — | 2 |
| 38 | 178.7.0.74/31 | 178.7.0.74 to 178.7.0.75 | — | 2 |
| 39 | 178.7.0.76/31 | 178.7.0.76 to 178.7.0.77 | — | 2 |
| 40 | 178.7.0.78/31 | 178.7.0.78 to 178.7.0.79 | — | 2 |
| 41 | 178.7.0.80/31 | 178.7.0.80 to 178.7.0.81 | — | 2 |
| 42 | 178.7.0.82/31 | 178.7.0.82 to 178.7.0.83 | — | 2 |
| 43 | 178.7.0.84/31 | 178.7.0.84 to 178.7.0.85 | — | 2 |
| 44 | 178.7.0.86/31 | 178.7.0.86 to 178.7.0.87 | — | 2 |
| 45 | 178.7.0.88/31 | 178.7.0.88 to 178.7.0.89 | — | 2 |
| 46 | 178.7.0.90/31 | 178.7.0.90 to 178.7.0.91 | — | 2 |
| 47 | 178.7.0.92/31 | 178.7.0.92 to 178.7.0.93 | — | 2 |
| 48 | 178.7.0.94/31 | 178.7.0.94 to 178.7.0.95 | — | 2 |
| 49 | 178.7.0.96/31 | 178.7.0.96 to 178.7.0.97 | — | 2 |
| 50 | 178.7.0.98/31 | 178.7.0.98 to 178.7.0.99 | — | 2 |
| 51 | 178.7.0.100/31 | 178.7.0.100 to 178.7.0.101 | — | 2 |
| 52 | 178.7.0.102/31 | 178.7.0.102 to 178.7.0.103 | — | 2 |
| 53 | 178.7.0.104/31 | 178.7.0.104 to 178.7.0.105 | — | 2 |
| 54 | 178.7.0.106/31 | 178.7.0.106 to 178.7.0.107 | — | 2 |
| 55 | 178.7.0.108/31 | 178.7.0.108 to 178.7.0.109 | — | 2 |
| 56 | 178.7.0.110/31 | 178.7.0.110 to 178.7.0.111 | — | 2 |
| 57 | 178.7.0.112/31 | 178.7.0.112 to 178.7.0.113 | — | 2 |
| 58 | 178.7.0.114/31 | 178.7.0.114 to 178.7.0.115 | — | 2 |
| 59 | 178.7.0.116/31 | 178.7.0.116 to 178.7.0.117 | — | 2 |
| 60 | 178.7.0.118/31 | 178.7.0.118 to 178.7.0.119 | — | 2 |
| 61 | 178.7.0.120/31 | 178.7.0.120 to 178.7.0.121 | — | 2 |
| 62 | 178.7.0.122/31 | 178.7.0.122 to 178.7.0.123 | — | 2 |
| 63 | 178.7.0.124/31 | 178.7.0.124 to 178.7.0.125 | — | 2 |
| 64 | 178.7.0.126/31 | 178.7.0.126 to 178.7.0.127 | — | 2 |
| 65 | 178.7.0.128/31 | 178.7.0.128 to 178.7.0.129 | — | 2 |
| 66 | 178.7.0.130/31 | 178.7.0.130 to 178.7.0.131 | — | 2 |
| 67 | 178.7.0.132/31 | 178.7.0.132 to 178.7.0.133 | — | 2 |
| 68 | 178.7.0.134/31 | 178.7.0.134 to 178.7.0.135 | — | 2 |
| 69 | 178.7.0.136/31 | 178.7.0.136 to 178.7.0.137 | — | 2 |
| 70 | 178.7.0.138/31 | 178.7.0.138 to 178.7.0.139 | — | 2 |
| 71 | 178.7.0.140/31 | 178.7.0.140 to 178.7.0.141 | — | 2 |
| 72 | 178.7.0.142/31 | 178.7.0.142 to 178.7.0.143 | — | 2 |
| 73 | 178.7.0.144/31 | 178.7.0.144 to 178.7.0.145 | — | 2 |
| 74 | 178.7.0.146/31 | 178.7.0.146 to 178.7.0.147 | — | 2 |
| 75 | 178.7.0.148/31 | 178.7.0.148 to 178.7.0.149 | — | 2 |
| 76 | 178.7.0.150/31 | 178.7.0.150 to 178.7.0.151 | — | 2 |
| 77 | 178.7.0.152/31 | 178.7.0.152 to 178.7.0.153 | — | 2 |
| 78 | 178.7.0.154/31 | 178.7.0.154 to 178.7.0.155 | — | 2 |
| 79 | 178.7.0.156/31 | 178.7.0.156 to 178.7.0.157 | — | 2 |
| 80 | 178.7.0.158/31 | 178.7.0.158 to 178.7.0.159 | — | 2 |
| 81 | 178.7.0.160/31 | 178.7.0.160 to 178.7.0.161 | — | 2 |
| 82 | 178.7.0.162/31 | 178.7.0.162 to 178.7.0.163 | — | 2 |
| 83 | 178.7.0.164/31 | 178.7.0.164 to 178.7.0.165 | — | 2 |
| 84 | 178.7.0.166/31 | 178.7.0.166 to 178.7.0.167 | — | 2 |
| 85 | 178.7.0.168/31 | 178.7.0.168 to 178.7.0.169 | — | 2 |
| 86 | 178.7.0.170/31 | 178.7.0.170 to 178.7.0.171 | — | 2 |
| 87 | 178.7.0.172/31 | 178.7.0.172 to 178.7.0.173 | — | 2 |
| 88 | 178.7.0.174/31 | 178.7.0.174 to 178.7.0.175 | — | 2 |
| 89 | 178.7.0.176/31 | 178.7.0.176 to 178.7.0.177 | — | 2 |
| 90 | 178.7.0.178/31 | 178.7.0.178 to 178.7.0.179 | — | 2 |
| 91 | 178.7.0.180/31 | 178.7.0.180 to 178.7.0.181 | — | 2 |
| 92 | 178.7.0.182/31 | 178.7.0.182 to 178.7.0.183 | — | 2 |
| 93 | 178.7.0.184/31 | 178.7.0.184 to 178.7.0.185 | — | 2 |
| 94 | 178.7.0.186/31 | 178.7.0.186 to 178.7.0.187 | — | 2 |
| 95 | 178.7.0.188/31 | 178.7.0.188 to 178.7.0.189 | — | 2 |
| 96 | 178.7.0.190/31 | 178.7.0.190 to 178.7.0.191 | — | 2 |
| 97 | 178.7.0.192/31 | 178.7.0.192 to 178.7.0.193 | — | 2 |
| 98 | 178.7.0.194/31 | 178.7.0.194 to 178.7.0.195 | — | 2 |
| 99 | 178.7.0.196/31 | 178.7.0.196 to 178.7.0.197 | — | 2 |
| 100 | 178.7.0.198/31 | 178.7.0.198 to 178.7.0.199 | — | 2 |
| 101 | 178.7.0.200/31 | 178.7.0.200 to 178.7.0.201 | — | 2 |
| 102 | 178.7.0.202/31 | 178.7.0.202 to 178.7.0.203 | — | 2 |
| 103 | 178.7.0.204/31 | 178.7.0.204 to 178.7.0.205 | — | 2 |
| 104 | 178.7.0.206/31 | 178.7.0.206 to 178.7.0.207 | — | 2 |
| 105 | 178.7.0.208/31 | 178.7.0.208 to 178.7.0.209 | — | 2 |
| 106 | 178.7.0.210/31 | 178.7.0.210 to 178.7.0.211 | — | 2 |
| 107 | 178.7.0.212/31 | 178.7.0.212 to 178.7.0.213 | — | 2 |
| 108 | 178.7.0.214/31 | 178.7.0.214 to 178.7.0.215 | — | 2 |
| 109 | 178.7.0.216/31 | 178.7.0.216 to 178.7.0.217 | — | 2 |
| 110 | 178.7.0.218/31 | 178.7.0.218 to 178.7.0.219 | — | 2 |
| 111 | 178.7.0.220/31 | 178.7.0.220 to 178.7.0.221 | — | 2 |
| 112 | 178.7.0.222/31 | 178.7.0.222 to 178.7.0.223 | — | 2 |
| 113 | 178.7.0.224/31 | 178.7.0.224 to 178.7.0.225 | — | 2 |
| 114 | 178.7.0.226/31 | 178.7.0.226 to 178.7.0.227 | — | 2 |
| 115 | 178.7.0.228/31 | 178.7.0.228 to 178.7.0.229 | — | 2 |
| 116 | 178.7.0.230/31 | 178.7.0.230 to 178.7.0.231 | — | 2 |
| 117 | 178.7.0.232/31 | 178.7.0.232 to 178.7.0.233 | — | 2 |
| 118 | 178.7.0.234/31 | 178.7.0.234 to 178.7.0.235 | — | 2 |
| 119 | 178.7.0.236/31 | 178.7.0.236 to 178.7.0.237 | — | 2 |
| 120 | 178.7.0.238/31 | 178.7.0.238 to 178.7.0.239 | — | 2 |
| 121 | 178.7.0.240/31 | 178.7.0.240 to 178.7.0.241 | — | 2 |
| 122 | 178.7.0.242/31 | 178.7.0.242 to 178.7.0.243 | — | 2 |
| 123 | 178.7.0.244/31 | 178.7.0.244 to 178.7.0.245 | — | 2 |
| 124 | 178.7.0.246/31 | 178.7.0.246 to 178.7.0.247 | — | 2 |
| 125 | 178.7.0.248/31 | 178.7.0.248 to 178.7.0.249 | — | 2 |
| 126 | 178.7.0.250/31 | 178.7.0.250 to 178.7.0.251 | — | 2 |
| 127 | 178.7.0.252/31 | 178.7.0.252 to 178.7.0.253 | — | 2 |
| 128 | 178.7.0.254/31 | 178.7.0.254 to 178.7.0.255 | — | 2 |
| 129 | 178.7.1.0/31 | 178.7.1.0 to 178.7.1.1 | — | 2 |
| 130 | 178.7.1.2/31 | 178.7.1.2 to 178.7.1.3 | — | 2 |
| 131 | 178.7.1.4/31 | 178.7.1.4 to 178.7.1.5 | — | 2 |
| 132 | 178.7.1.6/31 | 178.7.1.6 to 178.7.1.7 | — | 2 |
| 133 | 178.7.1.8/31 | 178.7.1.8 to 178.7.1.9 | — | 2 |
| 134 | 178.7.1.10/31 | 178.7.1.10 to 178.7.1.11 | — | 2 |
| 135 | 178.7.1.12/31 | 178.7.1.12 to 178.7.1.13 | — | 2 |
| 136 | 178.7.1.14/31 | 178.7.1.14 to 178.7.1.15 | — | 2 |
| 137 | 178.7.1.16/31 | 178.7.1.16 to 178.7.1.17 | — | 2 |
| 138 | 178.7.1.18/31 | 178.7.1.18 to 178.7.1.19 | — | 2 |
| 139 | 178.7.1.20/31 | 178.7.1.20 to 178.7.1.21 | — | 2 |
| 140 | 178.7.1.22/31 | 178.7.1.22 to 178.7.1.23 | — | 2 |
| 141 | 178.7.1.24/31 | 178.7.1.24 to 178.7.1.25 | — | 2 |
| 142 | 178.7.1.26/31 | 178.7.1.26 to 178.7.1.27 | — | 2 |
| 143 | 178.7.1.28/31 | 178.7.1.28 to 178.7.1.29 | — | 2 |
| 144 | 178.7.1.30/31 | 178.7.1.30 to 178.7.1.31 | — | 2 |
| 145 | 178.7.1.32/31 | 178.7.1.32 to 178.7.1.33 | — | 2 |
| 146 | 178.7.1.34/31 | 178.7.1.34 to 178.7.1.35 | — | 2 |
| 147 | 178.7.1.36/31 | 178.7.1.36 to 178.7.1.37 | — | 2 |
| 148 | 178.7.1.38/31 | 178.7.1.38 to 178.7.1.39 | — | 2 |
| 149 | 178.7.1.40/31 | 178.7.1.40 to 178.7.1.41 | — | 2 |
| 150 | 178.7.1.42/31 | 178.7.1.42 to 178.7.1.43 | — | 2 |
| 151 | 178.7.1.44/31 | 178.7.1.44 to 178.7.1.45 | — | 2 |
| 152 | 178.7.1.46/31 | 178.7.1.46 to 178.7.1.47 | — | 2 |
| 153 | 178.7.1.48/31 | 178.7.1.48 to 178.7.1.49 | — | 2 |
| 154 | 178.7.1.50/31 | 178.7.1.50 to 178.7.1.51 | — | 2 |
| 155 | 178.7.1.52/31 | 178.7.1.52 to 178.7.1.53 | — | 2 |
| 156 | 178.7.1.54/31 | 178.7.1.54 to 178.7.1.55 | — | 2 |
| 157 | 178.7.1.56/31 | 178.7.1.56 to 178.7.1.57 | — | 2 |
| 158 | 178.7.1.58/31 | 178.7.1.58 to 178.7.1.59 | — | 2 |
| 159 | 178.7.1.60/31 | 178.7.1.60 to 178.7.1.61 | — | 2 |
| 160 | 178.7.1.62/31 | 178.7.1.62 to 178.7.1.63 | — | 2 |
| 161 | 178.7.1.64/31 | 178.7.1.64 to 178.7.1.65 | — | 2 |
| 162 | 178.7.1.66/31 | 178.7.1.66 to 178.7.1.67 | — | 2 |
| 163 | 178.7.1.68/31 | 178.7.1.68 to 178.7.1.69 | — | 2 |
| 164 | 178.7.1.70/31 | 178.7.1.70 to 178.7.1.71 | — | 2 |
| 165 | 178.7.1.72/31 | 178.7.1.72 to 178.7.1.73 | — | 2 |
| 166 | 178.7.1.74/31 | 178.7.1.74 to 178.7.1.75 | — | 2 |
| 167 | 178.7.1.76/31 | 178.7.1.76 to 178.7.1.77 | — | 2 |
| 168 | 178.7.1.78/31 | 178.7.1.78 to 178.7.1.79 | — | 2 |
| 169 | 178.7.1.80/31 | 178.7.1.80 to 178.7.1.81 | — | 2 |
| 170 | 178.7.1.82/31 | 178.7.1.82 to 178.7.1.83 | — | 2 |
| 171 | 178.7.1.84/31 | 178.7.1.84 to 178.7.1.85 | — | 2 |
| 172 | 178.7.1.86/31 | 178.7.1.86 to 178.7.1.87 | — | 2 |
| 173 | 178.7.1.88/31 | 178.7.1.88 to 178.7.1.89 | — | 2 |
| 174 | 178.7.1.90/31 | 178.7.1.90 to 178.7.1.91 | — | 2 |
| 175 | 178.7.1.92/31 | 178.7.1.92 to 178.7.1.93 | — | 2 |
| 176 | 178.7.1.94/31 | 178.7.1.94 to 178.7.1.95 | — | 2 |
| 177 | 178.7.1.96/31 | 178.7.1.96 to 178.7.1.97 | — | 2 |
| 178 | 178.7.1.98/31 | 178.7.1.98 to 178.7.1.99 | — | 2 |
| 179 | 178.7.1.100/31 | 178.7.1.100 to 178.7.1.101 | — | 2 |
| 180 | 178.7.1.102/31 | 178.7.1.102 to 178.7.1.103 | — | 2 |
| 181 | 178.7.1.104/31 | 178.7.1.104 to 178.7.1.105 | — | 2 |
| 182 | 178.7.1.106/31 | 178.7.1.106 to 178.7.1.107 | — | 2 |
| 183 | 178.7.1.108/31 | 178.7.1.108 to 178.7.1.109 | — | 2 |
| 184 | 178.7.1.110/31 | 178.7.1.110 to 178.7.1.111 | — | 2 |
| 185 | 178.7.1.112/31 | 178.7.1.112 to 178.7.1.113 | — | 2 |
| 186 | 178.7.1.114/31 | 178.7.1.114 to 178.7.1.115 | — | 2 |
| 187 | 178.7.1.116/31 | 178.7.1.116 to 178.7.1.117 | — | 2 |
| 188 | 178.7.1.118/31 | 178.7.1.118 to 178.7.1.119 | — | 2 |
| 189 | 178.7.1.120/31 | 178.7.1.120 to 178.7.1.121 | — | 2 |
| 190 | 178.7.1.122/31 | 178.7.1.122 to 178.7.1.123 | — | 2 |
| 191 | 178.7.1.124/31 | 178.7.1.124 to 178.7.1.125 | — | 2 |
| 192 | 178.7.1.126/31 | 178.7.1.126 to 178.7.1.127 | — | 2 |
| 193 | 178.7.1.128/31 | 178.7.1.128 to 178.7.1.129 | — | 2 |
| 194 | 178.7.1.130/31 | 178.7.1.130 to 178.7.1.131 | — | 2 |
| 195 | 178.7.1.132/31 | 178.7.1.132 to 178.7.1.133 | — | 2 |
| 196 | 178.7.1.134/31 | 178.7.1.134 to 178.7.1.135 | — | 2 |
| 197 | 178.7.1.136/31 | 178.7.1.136 to 178.7.1.137 | — | 2 |
| 198 | 178.7.1.138/31 | 178.7.1.138 to 178.7.1.139 | — | 2 |
| 199 | 178.7.1.140/31 | 178.7.1.140 to 178.7.1.141 | — | 2 |
| 200 | 178.7.1.142/31 | 178.7.1.142 to 178.7.1.143 | — | 2 |
| 201 | 178.7.1.144/31 | 178.7.1.144 to 178.7.1.145 | — | 2 |
| 202 | 178.7.1.146/31 | 178.7.1.146 to 178.7.1.147 | — | 2 |
| 203 | 178.7.1.148/31 | 178.7.1.148 to 178.7.1.149 | — | 2 |
| 204 | 178.7.1.150/31 | 178.7.1.150 to 178.7.1.151 | — | 2 |
| 205 | 178.7.1.152/31 | 178.7.1.152 to 178.7.1.153 | — | 2 |
| 206 | 178.7.1.154/31 | 178.7.1.154 to 178.7.1.155 | — | 2 |
| 207 | 178.7.1.156/31 | 178.7.1.156 to 178.7.1.157 | — | 2 |
| 208 | 178.7.1.158/31 | 178.7.1.158 to 178.7.1.159 | — | 2 |
| 209 | 178.7.1.160/31 | 178.7.1.160 to 178.7.1.161 | — | 2 |
| 210 | 178.7.1.162/31 | 178.7.1.162 to 178.7.1.163 | — | 2 |
| 211 | 178.7.1.164/31 | 178.7.1.164 to 178.7.1.165 | — | 2 |
| 212 | 178.7.1.166/31 | 178.7.1.166 to 178.7.1.167 | — | 2 |
| 213 | 178.7.1.168/31 | 178.7.1.168 to 178.7.1.169 | — | 2 |
| 214 | 178.7.1.170/31 | 178.7.1.170 to 178.7.1.171 | — | 2 |
| 215 | 178.7.1.172/31 | 178.7.1.172 to 178.7.1.173 | — | 2 |
| 216 | 178.7.1.174/31 | 178.7.1.174 to 178.7.1.175 | — | 2 |
| 217 | 178.7.1.176/31 | 178.7.1.176 to 178.7.1.177 | — | 2 |
| 218 | 178.7.1.178/31 | 178.7.1.178 to 178.7.1.179 | — | 2 |
| 219 | 178.7.1.180/31 | 178.7.1.180 to 178.7.1.181 | — | 2 |
| 220 | 178.7.1.182/31 | 178.7.1.182 to 178.7.1.183 | — | 2 |
| 221 | 178.7.1.184/31 | 178.7.1.184 to 178.7.1.185 | — | 2 |
| 222 | 178.7.1.186/31 | 178.7.1.186 to 178.7.1.187 | — | 2 |
| 223 | 178.7.1.188/31 | 178.7.1.188 to 178.7.1.189 | — | 2 |
| 224 | 178.7.1.190/31 | 178.7.1.190 to 178.7.1.191 | — | 2 |
| 225 | 178.7.1.192/31 | 178.7.1.192 to 178.7.1.193 | — | 2 |
| 226 | 178.7.1.194/31 | 178.7.1.194 to 178.7.1.195 | — | 2 |
| 227 | 178.7.1.196/31 | 178.7.1.196 to 178.7.1.197 | — | 2 |
| 228 | 178.7.1.198/31 | 178.7.1.198 to 178.7.1.199 | — | 2 |
| 229 | 178.7.1.200/31 | 178.7.1.200 to 178.7.1.201 | — | 2 |
| 230 | 178.7.1.202/31 | 178.7.1.202 to 178.7.1.203 | — | 2 |
| 231 | 178.7.1.204/31 | 178.7.1.204 to 178.7.1.205 | — | 2 |
| 232 | 178.7.1.206/31 | 178.7.1.206 to 178.7.1.207 | — | 2 |
| 233 | 178.7.1.208/31 | 178.7.1.208 to 178.7.1.209 | — | 2 |
| 234 | 178.7.1.210/31 | 178.7.1.210 to 178.7.1.211 | — | 2 |
| 235 | 178.7.1.212/31 | 178.7.1.212 to 178.7.1.213 | — | 2 |
| 236 | 178.7.1.214/31 | 178.7.1.214 to 178.7.1.215 | — | 2 |
| 237 | 178.7.1.216/31 | 178.7.1.216 to 178.7.1.217 | — | 2 |
| 238 | 178.7.1.218/31 | 178.7.1.218 to 178.7.1.219 | — | 2 |
| 239 | 178.7.1.220/31 | 178.7.1.220 to 178.7.1.221 | — | 2 |
| 240 | 178.7.1.222/31 | 178.7.1.222 to 178.7.1.223 | — | 2 |
| 241 | 178.7.1.224/31 | 178.7.1.224 to 178.7.1.225 | — | 2 |
| 242 | 178.7.1.226/31 | 178.7.1.226 to 178.7.1.227 | — | 2 |
| 243 | 178.7.1.228/31 | 178.7.1.228 to 178.7.1.229 | — | 2 |
| 244 | 178.7.1.230/31 | 178.7.1.230 to 178.7.1.231 | — | 2 |
| 245 | 178.7.1.232/31 | 178.7.1.232 to 178.7.1.233 | — | 2 |
| 246 | 178.7.1.234/31 | 178.7.1.234 to 178.7.1.235 | — | 2 |
| 247 | 178.7.1.236/31 | 178.7.1.236 to 178.7.1.237 | — | 2 |
| 248 | 178.7.1.238/31 | 178.7.1.238 to 178.7.1.239 | — | 2 |
| 249 | 178.7.1.240/31 | 178.7.1.240 to 178.7.1.241 | — | 2 |
| 250 | 178.7.1.242/31 | 178.7.1.242 to 178.7.1.243 | — | 2 |
| 251 | 178.7.1.244/31 | 178.7.1.244 to 178.7.1.245 | — | 2 |
| 252 | 178.7.1.246/31 | 178.7.1.246 to 178.7.1.247 | — | 2 |
| 253 | 178.7.1.248/31 | 178.7.1.248 to 178.7.1.249 | — | 2 |
| 254 | 178.7.1.250/31 | 178.7.1.250 to 178.7.1.251 | — | 2 |
| 255 | 178.7.1.252/31 | 178.7.1.252 to 178.7.1.253 | — | 2 |
| 256 | 178.7.1.254/31 | 178.7.1.254 to 178.7.1.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |